;==============================================
; Slope Conveyor, Normal Inclination
; By Erik
;
; Acts like values for top left/bottom right:
; 1A0, 1A5 and 1E0
; Acts like values for top right/bottom left:
; 196, 19B and 1DE
;==============================================

!direction      = 3     ;   0 - top left
                        ;   1 - bottom left
                        ;   2 - top right
                        ;   3 - bottom right

;---

if !direction&1 == 1
        !x_carry        = "CLC"
        !x_operation    = "ADC"
        !x_axis         = "right"
else
        !x_carry        = "SEC"
        !x_operation    = "SBC"
        !x_axis         = "left"
endif

if !direction&2 == 2
        !y_carry        = "CLC"
        !y_operation    = "ADC"
        !y_axis         = "bottom"
else
        !y_carry        = "SEC"
        !y_operation    = "SBC"
        !y_axis         = "top"
endif

;---

db $42
dl $EAEA6B : JMP conveyor : dl $EAEA6B
dl $EAEA6B : dl $EAEA6B : dl $EAEA6B : dl $EAEA6B
JMP conveyor : dl $EAEA6B : dl $EAEA6B

conveyor:
        LDA $7D
        CMP #$40
        BCS .return
        LDA $14
        LSR
        BCS .return
        LDA $94
        !x_carry
        !x_operation #$01
        STA $94
        LDA $95
        !x_operation #$00
        STA $95
        LDA $96
        !y_carry
        !y_operation #$01
        STA $96
        LDA $97
        !y_operation #$00
        STA $97
.return
        RTL

print "A slope conveyor block. It's currently set to go !y_axis !x_axis."

